Create an address
POST
/v2/addresses?accountId={accountId}Request
Use this request to create a new address.Query parameters
The ID of the account that you want to create an address for.Allowable values: An existing
accountId (≤ 36 characters)Request body schema
The address type. This can be anything except
registered.Allowable values: A valid stringThe nickname of the address.Allowable values: ≤ 256 characters
The first line of the address.Allowable values: ≤ 256 characters
The second line of the address.Allowable values: ≤ 256 characters
The third line of the address.Allowable values: ≤ 256 characters
The name of the contact associated with the address.Allowable values: ≤ 256 characters
The city of the address.Allowable values: ≤ 256 characters
The postal or ZIP code of the address.Allowable values: ≤ 256 characters
The country of the address.Allowable values: ≤ 256 characters
Response
If your request is successful, you’ll receive a200 response containing details about your newly-created address. This includes the id which you can provide when converting a card.
Look up an address
GET
/v2/addresses/lookupRequest
Use this request get a list of all addresses for a given UK postcode (5-7 alphanumeric characters). You can use this to confirm that an address exists before adding it to your account.By default, this endpoint isn’t enabled. If you’d like to use it, please ask your account manager.
Query parameters
The UK postcode that you want to retrieve addresses for.Allowable values: 5-7 characters
Response
If your request is successful, you’ll receive a200 response.